#!/bin/sh
#
# Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.


readonly KUBEDIR="$(cat /usr/local/share/kubeadm/kubeadm-ha/KUBEDIR)"

mkdir -p ${KUBEDIR}

IPVS="${1:-}"


if [[ "${IPVS}" = "ipvs" ]]; then
  KMODULES="ip_vs ip_vs_rr ip_vs_wrr ip_vs_sh nf_conntrack_ipv4"
  for kmod in ${KMODULES}; do
  	modprobe ${kmod}
  done
fi

setenforce 0
sed 's/SELINUX=enforcing/SELINUX=permissive/' -i /etc/selinux/config

/sbin/iptables -P FORWARD ACCEPT
/sbin/sysctl -p /etc/sysctl.d/k8s.conf

systemctl start docker

echo "status 0"

