#!/bin/sh -x
#
# Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.

readonly KUBEDIR="$(cat /usr/local/share/kubeadm/kubeadm-ha/KUBEDIR)"
readonly TMPDIR="/tmp/.kubeadm/etcd"
BACKUP=${1:-}
if [[ -z "${BACKUP}" ]]; then
        echo "Please provide a backup file"
        exit 1
fi

rm -rf /tmp/.kubeadm
mkdir -p ${TMPDIR}

tar -xf ${BACKUP} -C /tmp/.kubeadm/
tar -xf /tmp/.kubeadm/etcd.tar -C ${TMPDIR}
cd ${TMPDIR}

# checksum
if ! sha256sum -c ./etcd.sha256sum | grep OK; then
	echo "[ERROR] etcd backup file has checksum problem"
	exit 1
fi

chmod -R 0700 ${TMPDIR}
